org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.tableconfiguration

## Interface TableConfiguration

    public interface TableConfiguration

A representation of the model object 'Table Configuration'.

The following features are supported:

- `Default Local Customizations`
- `Can Be Presented In The Table`
- `Forced Cell Editors`
- `Default Facets`
- `Default Customizations`
- `Instantiation Method`
- `Default Columns`

See Also:
  `TableconfigurationPackage.getTableConfiguration()`
Generated:
Model:
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`FacetElement` `getCanBePresentedInTheTable()` Returns the value of the 'Can Be Presented In The Table' reference.
`<any>` `getDefaultColumns()` Returns the value of the 'Default Columns' reference list.
`<any>` `getDefaultCustomizations()` Returns the value of the 'Default Customizations' reference list.
`<any>` `getDefaultFacets()` Returns the value of the 'Default Facets' reference list.
`<any>` `getDefaultLocalCustomizations()` Returns the value of the 'Default Local Customizations' reference list.
`<any>` `getForcedCellEditors()` Returns the value of the 'Forced Cell Editors' reference list.
`<any>` `getInstantiationMethod()` Returns the value of the 'Instantiation Method' containment reference list.
`void` `setCanBePresentedInTheTable(FacetElement value)` Sets the value of the '`Can Be Presented In The Table`' reference.

### Method Detail

#### getDefaultLocalCustomizations

    <any> getDefaultLocalCustomizations()

Returns the value of the 'Default Local Customizations' reference list. The list contents are of type `org.eclipse.emf.facet.custom.metamodel.custom.Customization`.

If the meaning of the 'Default Local Customizations' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default Local Customizations' reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_DefaultLocalCustomizations()`
Generated:
Model:

#### getCanBePresentedInTheTable

    FacetElement getCanBePresentedInTheTable()

Returns the value of the 'Can Be Presented In The Table' reference.

If the meaning of the 'Can Be Presented In The Table' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Can Be Presented In The Table' reference.
See Also:
  `setCanBePresentedInTheTable(FacetElement)`, `TableconfigurationPackage.getTableConfiguration_CanBePresentedInTheTable()`
Generated:
Model:

#### setCanBePresentedInTheTable

    void setCanBePresentedInTheTable(FacetElement value)

Sets the value of the '`Can Be Presented In The Table`' reference.

Parameters:
  `value` - the new value of the 'Can Be Presented In The Table' reference.
See Also:
  `getCanBePresentedInTheTable()`
Generated:

#### getForcedCellEditors

    <any> getForcedCellEditors()

Returns the value of the 'Forced Cell Editors' reference list. The list contents are of type `AbstractModelCellEditor`.

If the meaning of the 'Forced Cell Editors' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Forced Cell Editors' reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_ForcedCellEditors()`
Generated:
Model:

#### getDefaultFacets

    <any> getDefaultFacets()

Returns the value of the 'Default Facets' reference list. The list contents are of type `Facet`.

If the meaning of the 'Default Facets' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default Facets' reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_DefaultFacets()`
Generated:
Model:

#### getDefaultCustomizations

    <any> getDefaultCustomizations()

Returns the value of the 'Default Customizations' reference list. The list contents are of type `org.eclipse.emf.facet.custom.metamodel.custom.Customization`.

If the meaning of the 'Default Customizations' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Default Customizations' reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_DefaultCustomizations()`
Generated:
Model:

#### getInstantiationMethod

    <any> getInstantiationMethod()

Returns the value of the 'Instantiation Method' containment reference list. The list contents are of type `InstantiationMethod`.

If the meaning of the 'Instantiation Method' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Instantiation Method' containment reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_InstantiationMethod()`
Generated:
Model:
  containment="true"

#### getDefaultColumns

    <any> getDefaultColumns()

Returns the value of the 'Default Columns' reference list. The list contents are of type `org.eclipse.emf.ecore.ETypedElement`. All the columns declared here will be created in the table instance when no column exists, even if the table contains no row. The additional reference?s type must be ETypedElement otherwise we will not be able to managed the operations.

Returns:
  the value of the 'Default Columns' reference list.
See Also:
  `TableconfigurationPackage.getTableConfiguration_DefaultColumns()`
Generated:
Model: